## net.sf.statsvn.output
Class ChoraIntegration

    java.lang.Object
      net.sf.statsvn.output.ChoraIntegration

All Implemented Interfaces:
  net.sf.statcvs.output.WebRepositoryIntegration

    public class ChoraIntegration

extends java.lang.Object
implements net.sf.statcvs.output.WebRepositoryIntegration

Integration of the Chora CVS Viewer

Version:
  $Id: ChoraIntegration.java,v 1.9 2004/10/12 07:22:42 cyganiak Exp $
Author:
  Richard Cyganiak

Constructor Summary
`ChoraIntegration(java.lang.String baseURL)`

Method Summary
`java.lang.String` `getBaseUrl()`
`java.lang.String` `getDiffUrl(net.sf.statcvs.model.Revision oldRevision, net.sf.statcvs.model.Revision newRevision)`
`java.lang.String` `getDirectoryUrl(net.sf.statcvs.model.Directory directory)`
`java.lang.String` `getFileHistoryUrl(net.sf.statcvs.model.VersionedFile file)`
`java.lang.String` `getFileViewUrl(net.sf.statcvs.model.Revision revision)`
`java.lang.String` `getFileViewUrl(net.sf.statcvs.model.VersionedFile file)`
`java.lang.String` `getName()`
`void` `setAtticFileNames(java.util.Set atticFileNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoraIntegration

    public ChoraIntegration(java.lang.String baseURL)

Parameters:
  `baseURL` - base URL of the Chora installation

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getName`

### getDirectoryUrl

    public java.lang.String getDirectoryUrl(net.sf.statcvs.model.Directory directory)

  Specified by:
    `getDirectoryUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getDirectoryUrl`

### getFileHistoryUrl

    public java.lang.String getFileHistoryUrl(net.sf.statcvs.model.VersionedFile file)

  Specified by:
    `getFileHistoryUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getFileHistoryUrl`

### getFileViewUrl

    public java.lang.String getFileViewUrl(net.sf.statcvs.model.VersionedFile file)

  Specified by:
    `getFileViewUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getFileViewUrl(VersionedFile)`

### getFileViewUrl

    public java.lang.String getFileViewUrl(net.sf.statcvs.model.Revision revision)

  Specified by:
    `getFileViewUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getFileViewUrl(VersionedFile)`

### getDiffUrl

    public java.lang.String getDiffUrl(net.sf.statcvs.model.Revision oldRevision,
                                       net.sf.statcvs.model.Revision newRevision)

  Specified by:
    `getDiffUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getDiffUrl`

### setAtticFileNames

    public void setAtticFileNames(java.util.Set atticFileNames)

  Specified by:
    `setAtticFileNames` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#setAtticFileNames(java.util.Set)`

### getBaseUrl

    public java.lang.String getBaseUrl()

  Specified by:
    `getBaseUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`